ProjectControllerDeleteProject Method |
DELETE /Project/{id}
Deletes a project.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("Index")]
public IActionResult DeleteProject(
Guid id,
Guid? sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("Index")>
Public Function DeleteProject (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ DeleteProject(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("Index")>]
member DeleteProject :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the project to delete. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also